List WhatsApp Flows
curl --request GET \
--url https://api.vambe.me/api/public/whatsapp-flows \
--header 'x-api-key: <x-api-key>'const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.vambe.me/api/public/whatsapp-flows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/whatsapp-flows"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "df980fc8-b6db-4820-bf22-2969482d106d",
"name": "Customer Satisfaction"
}
],
"page": 1,
"pageSize": 50,
"total": 44,
"totalPages": 1,
"hasNextPage": false
}WhatsApp Flows
List WhatsApp Flows
Retrieve the WhatsApp Flows of the account, returning only their id and name, paginated with page/pageSize. Use the id to fetch flow responses.
GET
/
api
/
public
/
whatsapp-flows
List WhatsApp Flows
curl --request GET \
--url https://api.vambe.me/api/public/whatsapp-flows \
--header 'x-api-key: <x-api-key>'const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.vambe.me/api/public/whatsapp-flows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/whatsapp-flows"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "df980fc8-b6db-4820-bf22-2969482d106d",
"name": "Customer Satisfaction"
}
],
"page": 1,
"pageSize": 50,
"total": 44,
"totalPages": 1,
"hasNextPage": false
}Headers
API key needed to authorize the request. The key role must include the templates read permission.
Query Parameters
Page number, starting at 1
Required range:
1 <= x <= 9007199254740991Example:
1
Number of flows per page (1-200)
Required range:
1 <= x <= 200Example:
50
Was this page helpful?
